package de.schloenvoigt.sparqltesttool;

/********************************************************************

This file is part of SPARQLTestTool - A Tool for testing SPARQL Queries

Copyright (C) 2010 Steffen Schlönvoigt <steffen@schloenvoigt.de>

This program is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation; either version 2 of the License, or
(at your option) any later version.
 	
This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
GNU General Public License for more details.
 	
You should have received a copy of the GNU General Public License
along with this program. If not, see <http://www.gnu.org/licenses/>.
*********************************************************************/ 

import de.schloenvoigt.sparqltesttool.control.SPARQLTestToolController;
import de.schloenvoigt.sparqltesttool.model.SPARQLTestToolModel;
import de.schloenvoigt.sparqltesttool.ui.SPARQLTestToolMainFrame;

public class SparqlTestTool 
{

	/**
	 * Main Program of the SPARQL Test Tool 
	 * Will create the required components and wire them
	 * @param args
	 */
	public static void main(String[] args) {
		// First we will need a Model
		SPARQLTestToolModel model = new SPARQLTestToolModel();
		// Then we will need a controller, that can change this model
		SPARQLTestToolController controller = new SPARQLTestToolController( model );
		// At the End we will need a new View 		
		SPARQLTestToolMainFrame mainFrame = new SPARQLTestToolMainFrame( );
		// Now we wire the register the View for Change Events of the Model
		mainFrame.setModel( model );
		mainFrame.setController( controller );
		
	}

}
